Bug 536352 - (RHQ-710) agent clean configuration prompts should print choices, when the prompt is for an enumerated type
agent clean configuration prompts should print choices, when the prompt is fo...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 13:05 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
all
Last Closed: 2014-05-15 17:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-08-04 13:05:00 EDT
When starting the agent for the first time in advanced mode (./rhq-agent.sh --clean --setup --advanced) you get some prompts where clearly the agent is expecting an enumerated set of values, (not free-form).  For example:

Agent Transport Protocol [socket] : 
RHQ Server Transport Protocol [servlet] : 
Client Authentication Mode [none] :

What would be nice is if the user didn't have to go digging in the documentation to find out what the other acceptable values are, besides "servlet" or "none".  I assume the agent code validates this input, so it ought to be able to print the choices right in the prompt as well?

Comment 1 Red Hat Bugzilla 2009-11-10 16:15:17 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-710

Note You need to log in before you can comment on or make changes to this bug.